Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cms
Class DigestInfo

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cms.DigestInfo

All Implemented Interfaces:
  ASN1Value

public class DigestInfo
extends java.lang.Object
implements ASN1Value

Inner Class Summary
`static class` | `DigestInfo.Template` A class for decoding the BER encoding of a DigestInfo.

Field Summary
`private OCTET_STRING` | `digest`
`private AlgorithmIdentifier` | `digestAlgorithm`
`private SEQUENCE` | `sequence`
`private static Tag` | `TAG`
`private static DigestInfo.Template` | `templateInstance`

Constructor Summary
`private` | `DigestInfo()`
`` | `DigestInfo(AlgorithmIdentifier digestAlgorithm, OCTET_STRING digest)`

Method Summary
`private static boolean` | `byteArraysAreSame(byte[] left, byte[] right)` Compares two non-null byte arrays.
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`boolean` | `equals(java.lang.Object obj)`
`OCTET_STRING` | `getDigest()`
`AlgorithmIdentifier` | `getDigestAlgorithm()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static DigestInfo.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### digestAlgorithm

    private AlgorithmIdentifier digestAlgorithm

### digest

    private OCTET_STRING digest

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

### templateInstance

    private static final DigestInfo.Template templateInstance

Constructor Detail

### DigestInfo

    private DigestInfo()

### DigestInfo

    public DigestInfo(AlgorithmIdentifier digestAlgorithm,
                      OCTET_STRING digest)

Method Detail

### getDigestAlgorithm

    public AlgorithmIdentifier getDigestAlgorithm()

### getDigest

    public OCTET_STRING getDigest()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### byteArraysAreSame

    private static boolean byteArraysAreSame(byte[] left,
                                             byte[] right)

  Compares two non-null byte arrays. Returns true if they are identical, false otherwise.

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static DigestInfo.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD